image: monachus/hugo

variables:
  GIT_SUBMODULE_STRATEGY: recursive

before_script:
  - apt-get update
  - apt-get --yes install git ssh rsync

build:
  stage: build
  script:
  - hugo
  artifacts:
    paths:
    - public
  only:
  - master

deploy:
  stage: deploy
  script:
  - rsync -hrv --delete public/ /var/opt/gitlab-runner/builds/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME/
  only:
  - master
